summaryrefslogtreecommitdiff
path: root/dev-util/pkgdiff/pkgdiff-9999.ebuild
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-util/pkgdiff/pkgdiff-9999.ebuild
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-util/pkgdiff/pkgdiff-9999.ebuild')
-rw-r--r--dev-util/pkgdiff/pkgdiff-9999.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/dev-util/pkgdiff/pkgdiff-9999.ebuild b/dev-util/pkgdiff/pkgdiff-9999.ebuild
new file mode 100644
index 000000000000..cb3983eadd73
--- /dev/null
+++ b/dev-util/pkgdiff/pkgdiff-9999.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit git-r3
+
+DESCRIPTION="Package Changes Analyzer (pkgdiff)"
+HOMEPAGE="https://github.com/lvc/pkgdiff"
+EGIT_REPO_URI="https://github.com/lvc/${PN}.git"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+
+DEPEND=">=dev-lang/perl-5"
+RDEPEND="${DEPEND}
+ app-text/wdiff
+ dev-perl/File-LibMagic
+ sys-apps/diffutils
+ sys-apps/gawk
+ sys-devel/binutils
+"
+
+src_compile() {
+ :
+}
+
+PREFIX="/usr"
+
+src_install() {
+ dodir ${PREFIX}
+ perl Makefile.pl -install --destdir "${ED}" || die "install failed"
+}